# uproot.STLSet

Defined in uproot.containers on line 1710.

Inheritance order:
uproot.containers.Container `collections.abc.Set` `collections.abc.Collection` `collections.abc.Sized` `collections.abc.Iterable` `collections.abc.Container`

class uproot.containers.STLSet(keys)
  Parameters:

    keys (`numpy.ndarray` or iterable) – Contents of the `std::set`.

  Representation of a C++ `std::set` as a Python `Set`.

## tolist

Inherited from uproot.containers.Container.

STLSet.tolist()

  Convert the data this collection contains into nested lists, sets, and dicts.